## xaw3d 1.5+F

=== debian/changelog ===
xaw3d (1.5+F-1) unstable; urgency=medium

  * Reassembled original tarball to cope with dquilt.
  * Revamped package with source format 3.0 and modern compat for dh.
    (closes: #670732)
  * Removed obsolete flex-old b-d. (closes: #932562)
  * Policy bumped to 4.5.1.
  * Added Vcs-* fields to d/control.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 07 Jan 2021 19:57:42 +0100

xaw3d (1.5+E-18.3) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Drop explicit Pre-Depends on multiarch-support (Closes:
    #870564). 

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 20 Jan 2018 14:50:00 +0100

xaw3d (1.5+E-18.2) unstable; urgency=low

  * Non-maintainer upload with permission of Francesco Paolo Lovergine.
  * Apply Multi-Arch patch.  Closes: #646194.

 -- Mark Hymers <mhy@debian.org>  Mon, 14 May 2012 21:54:41 +0000

xaw3d (1.5+E-18.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update debian/copyright to add missing license information as proposed by
    Josue Abarca (Closes: #609907)
  * Set urgency to medium due to RC bug fix

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Fri, 02 Dec 2011 18:10:25 +0100

xaw3d (1.5+E-18) unstable; urgency=low

  * Removed old scripts still around in debian/ tree.
  * Now using dh_prep instead of dh_clean -k.
  * Debhelper level set to 7.
  * Policy bumped to 3.8.4.
  * Added patch XawIm.c to prevent gv segfaulting.
    (closes: #573474)
  * Added ${misc:Depends} to both binary packages to make lintian happy.
  * Added xaw3dg.lintian-overrides to override the 
    package-name-doesnt-match-sonames lintian warning.
  * Added debian/README.source.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 26 Apr 2010 17:47:03 +0200

xaw3d (1.5+E-17) unstable; urgency=low

  * Bumped replace to conflicts with pre -16 version. That's needed for 
    moving of the .so link 
   (closes: #492302)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 25 Jul 2008 09:47:14 +0200

xaw3d (1.5+E-16) unstable; urgency=low

  * New patch: MultiSrc.c.dpatch to avoid a double free bug with
    internalionalized text. Patch taken from Xaw and used in Fedora.
    (closes: #438737, #441304)
  * Now using ${binary:Version} instead of ${Source-Version} in debian/control.
  * Policy bumped to 3.8.0.
  * Removed now superfluous libc-dev build-dependency.
  * Symlink libXaw3d.so moved into -dev package.
  * Moved xutils -> xutils-dev dependency in -dev package.
    (closes: #485230)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 24 Jul 2008 12:39:29 +0200

xaw3d (1.5+E-15) unstable; urgency=low

  * New patch: Box.c.dpatch, to avoid an infinite loop due to short int overflow.
    Thanks Glenn Burkhard. (closes: #420348)
  * Policy bumped to 3.7.2 (no changes).
  * Debhelper level moved to 5 with a few changes in debian/rules.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 24 Apr 2007 15:24:24 +0200

xaw3d (1.5+E-14) unstable; urgency=low

  * Sigh, libxmu-dev is more appropriate that the headers-only package dep
    probably in xaw3dg-dev too.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed,  3 May 2006 12:17:05 +0200

xaw3d (1.5+E-13) unstable; urgency=low

  * Reintroduced _strictly_ required X11 -dev dependencies for xaw3dg-dev.
    That should reduce the number of FTBS. The same list is now used in
    build-dep.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed,  3 May 2006 11:39:08 +0200

xaw3d (1.5+E-12) unstable; urgency=low

  * Removed libxaw8-dev fake dependency, because it has been dropped in xorg
    roadmap.
  * Removed all X11 -dev dependencies in xaw3dg-dev, and the old
    libc-dev|libc6-dev now superfluous dependency too. Packages now have to 
    declare explicitly their own -dev build-deps.
    (closes: #241280)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue,  2 May 2006 23:45:03 +0200

xaw3d (1.5+E-11) unstable; urgency=low

  * Changed to xorg 7 conformancy in paths: 
  	/usr/X11R6/lib -> /usr/lib
        /usr/X11R6/include -> /usr/include
    (closes: #362074, #363578)
  * Added xutils-dev versioned dependency.
  * Removed fake libxp-dev build-dep due to xmkmf bug.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sat, 15 Apr 2006 09:41:45 +0200

xaw3d (1.5+E-10) unstable; urgency=low

  * Added dependency on libxaw8-dev as alternative to 6|7 versions.
    (closes: #321664)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon,  9 Jan 2006 08:34:44 +0100

xaw3d (1.5+E-9) unstable; urgency=low

  * Added build-dep for libxp-dev and revised other dependencies.
    (closes: #330481)
  * Policy bumped to 3.6.2 (no changes).
  * Removed libc5 stuff in rules file.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 28 Sep 2005 14:18:28 +0200

xaw3d (1.5+E-8) unstable; urgency=high

  * Added new missing build-dep libxmu-dev due to last change.
    (closes: #274589)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon,  4 Oct 2004 21:30:18 +0200

xaw3d (1.5+E-7) unstable; urgency=low

  * Changed build-deps to reflect -dev changes in X 4.3+
    (closes: #241772)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon,  2 Aug 2004 15:32:04 +0200

xaw3d (1.5+E-6) unstable; urgency=high

  * Removed libxaw-dev dependency and introduced libxaw7-dev dependency.
    (closes: #217084)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 24 Oct 2003 08:46:48 +0200

xaw3d (1.5+E-5) unstable; urgency=low

  * Removed libc5 stuff. It currently require a xlib6-altdev pkg which is not
    currently available in xfree86. A control.oldlib has been preserved
    for eventual future use.
    A whishlist bug is required (to be reassigned to xfree86 :)) if
    a libc5 oldlib is needed by someone.
    (See #206832)
  * Current flex is ok, control changed consequently.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 13 Oct 2003 11:01:53 +0200

xaw3d (1.5+E-4) unstable; urgency=low

  * Added conditional to xlib6-altdev for i386.
    (closes: #213113)


