=== debian/control ===
Source: xaw3d
Section: x11
Priority: optional
Maintainer: Francesco Paolo Lovergine <frankie@debian.org>
Build-Depends: debhelper-compat (=13)
 ,xutils-dev (>= 1:1.0.2-3)
 ,libx11-dev
 ,libxmu-dev
 ,libxpm-dev
 ,libxt-dev
 ,x11proto-core-dev
 ,x11proto-xext-dev
 ,bison
 ,flex (>= 2.5.31-16)
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/debian/xaw3dg
Vcs-Git: https://salsa.debian.org/debian/xaw3dg.git

Package: xaw3dg
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: axe (<< 6.1.2-2)
 ,xaw3d (<= 1.3-6)
 ,xfig (<< 1:3.2.4-rel-9)
 ,gv (<< 1:3.5.8-30.1)
Description: Xaw3d widget set
 Xaw3d is a set of 3-D widgets based on the Athena Widget set, which
 adds a three dimensional appearance on some of the widgets of X11
 applications linked with this library.

Package: xaw3dg-dev
Section: devel
Architecture: any
Multi-Arch: same
Depends: xaw3dg (=${binary:Version})
 ,xutils-dev
 ,libx11-dev
 ,libxmu-dev
 ,libxpm-dev
 ,libxt-dev
 ,x11proto-core-dev
 ,x11proto-xext-dev
 ,${misc:Depends}
Conflicts: xaw3d-dev
Replaces: xaw3dg (<< 1.5+E-16)
Description: Xaw3d widget set development package
 Xaw3d is a set of 3-D widgets based on the R6.1 Athena Widget set, which
 adds a three dimensional appearance on some of the widgets of X11
 applications linked with this library.
 .
 This is the development package (includes files and static library)
 of the xaw3dg library.
